import { jsx } from "react/jsx-runtime";
import { TentIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Tent = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Tent", ...props, children: /* @__PURE__ */ jsx(TentIcon, { weight: variant }) });
  }
);
Tent.displayName = "Tent";
Object.assign(Tent, { isGdsIcon: true });
export {
  Tent
};
